## org.apache.batik.dom.svg
Class SVGOMAnimatedPreserveAspectRatio

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.SVGOMAnimatedPreserveAspectRatio

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue, org.w3c.dom.svg.SVGAnimatedPreserveAspectRatio

    public class SVGOMAnimatedPreserveAspectRatio

extends AbstractSVGAnimatedValue
implements org.w3c.dom.svg.SVGAnimatedPreserveAspectRatio

This class implements the `SVGAnimatedPreserveAspectRatio` interface.

Nested Class Summary
`class` `SVGOMAnimatedPreserveAspectRatio.AnimSVGPARValue` This class represents the SVGPreserveAspectRatio returned by `getAnimVal()`.
`class` `SVGOMAnimatedPreserveAspectRatio.BaseSVGPARValue` This class represents the SVGPreserveAspectRatio returned by `getBaseVal()`.

Field Summary
`protected SVGOMAnimatedPreserveAspectRatio.AnimSVGPARValue` `animVal` The animated value.
`protected SVGOMAnimatedPreserveAspectRatio.BaseSVGPARValue` `baseVal` The base value.
`protected boolean` `changing` Whether the value is changing.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedPreserveAspectRatio(AbstractElement elt)` Creates a new SVGOMAnimatedPreserveAspectRatio.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`void` `check()` Throws an exception if the points list value is malformed.
`org.w3c.dom.svg.SVGPreserveAspectRatio` `getAnimVal()` DOM: Implements `SVGAnimatedPreserveAspectRatio.getAnimVal()`.
`org.w3c.dom.svg.SVGPreserveAspectRatio` `getBaseVal()` DOM: Implements `SVGAnimatedPreserveAspectRatio.getBaseVal()`.
`AnimatableValue` `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`protected void` `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseVal

    protected SVGOMAnimatedPreserveAspectRatio.BaseSVGPARValue baseVal

  The base value.

### animVal

    protected SVGOMAnimatedPreserveAspectRatio.AnimSVGPARValue animVal

  The animated value.

### changing

    protected boolean changing

  Whether the value is changing.

Constructor Detail

### SVGOMAnimatedPreserveAspectRatio

    public SVGOMAnimatedPreserveAspectRatio(AbstractElement elt)

  Creates a new SVGOMAnimatedPreserveAspectRatio.

  Parameters:
    `elt` - The associated element.

Method Detail

### getBaseVal

    public org.w3c.dom.svg.SVGPreserveAspectRatio getBaseVal()

  DOM: Implements `SVGAnimatedPreserveAspectRatio.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedPreserveAspectRatio`

### getAnimVal

    public org.w3c.dom.svg.SVGPreserveAspectRatio getAnimVal()

  DOM: Implements `SVGAnimatedPreserveAspectRatio.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedPreserveAspectRatio`

### check

    public void check()

  Throws an exception if the points list value is malformed.

### getUnderlyingValue

    public AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

  Specified by:
    `getUnderlyingValue` in interface `AnimatedLiveAttributeValue`

### updateAnimatedValue

    protected void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

  Specified by:
    `updateAnimatedValue` in class `AbstractSVGAnimatedValue`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.